Bug 13706 - ldd -u lists linux-gate as unused dependency
Summary: ldd -u lists linux-gate as unused dependency
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: dynamic-link (show other bugs)
Version: 2.15
: P2 normal
Target Milestone: ---
Assignee: Marek Polacek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-17 21:13 IST by law
Modified: 2014-06-26 15:21 IST (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description law 2012-02-17 21:13:32 IST
ldd -u reports linux-gate.so.1 as an unused dep.  This was not the case with
glibc-2.13.2 (Fedora 14) or 2.14 (Fedora 15).

# ldd -u /usr/lib/libzip.so.1
Unused direct dependencies:
        linux-gate.so.1
        /lib/libz.so.1
Comment 1 Marek Polacek 2012-02-19 00:57:09 IST
Looking at it; looks like we want to always set l_used for vDSO.
Comment 2 Marek Polacek 2012-02-29 14:31:30 IST
Fixed.